
include $(top_srcdir)/config/all.mk




SUBDIRS = drot

# Configuration files, go to $INSROOT/etc
etcdir=$(sysconfdir)
dist_etc_DATA =

#
# http://sources.redhat.com/automake/automake.html#Program-and-Library-Variables
#
lib_LIBRARIES =


pkglib_LTLIBRARIES = libSharknirTrackingCtrl.la
libSharknirTrackingCtrl_ladir = $(includedir)/shins
libSharknirTrackingCtrl_la_HEADER = AdcWorkerThread.h trackingCtrl.h
libSharknirTrackingCtrl_la_SOURCES =  AdcWorkerThread.cpp trackingCtrl.cpp
libSharknirTrackingCtrl_la_CXXFLAGS =  -I$(top_srcdir)/src \
                 -I$(includedir)/shins/util \
                 $(SHARKNIR_DROT_CXXFLAGS) \
                 $(EIGEN_CXXFLAGS) \
                 $(BASDA_MOCCA_CXXFLAGS) \
                 $(BASDA_CXXFLAGS) \
                 $(NICE_CXXFLAGS) \
                 $(NICEQT_CXXFLAGS) \
                 $(QT4_CXXFLAGS) \
                 $(ICE_CXXFLAGS) \
	$(INDI_CXXFLAGS) \
	$(CFITSIO_CFLAGS) $(IIF_CXXFLAGS)
                 

libSharknirTrackingCtrl_la_LIBADD = -lShinsUtil_SharknirType

bin_PROGRAMS =

AM_CXXFLAGS = -Isrc \
                $(SHARKNIR_DROT_CXXFLAGS) \
                $(EIGEN_CXXFLAGS) \
                $(BASDA_MOCCA_CXXFLAGS) \
                $(BASDA_CXXFLAGS) \
                $(NICE_CXXFLAGS) \
                $(NICEQT_CXXFLAGS) \
                $(QT4_CXXFLAGS) \
                $(ICE_CXXFLAGS) \
                $(CFITSIO_CFLAGS) $(IIF_CXXFLAGS)

# same as bin_PROGRAMS, only compiled if you do make check
check_PROGRAMS =

# for scripts
bin_SCRIPTS =

TESTS =



#
# http://sources.redhat.com/automake/automake.html#Sources
#

# files that have to go in the dist (project archive).

# Example:
EXTRA_DIST =
